Skip to main content
GET
Get Voice Clip Upload Channel Sample URL

Authorizations

Authorization
string
header
required

Use Tuner API key (tr_api_...) or user session token. Find your API key in Workspace Settings > API Keys.

Path Parameters

voice_clip_upload_id
integer
required

ID of the voice clip upload

channel_index
integer
required

index of the speaker channel, as listed in the upload's speakers

agent_id
integer
required

Tuner's internal numeric ID for the agent.

workspace_id
integer
required

Workspace ID. Find this in Workspace > General Settings.

Response

Successful Response

A short-lived URL for one channel's preview sample.

url
string
required

Presigned URL of the audio sample.

expires_at
string<date-time>
required

When the URL expires.